## AgsOscXmlrpcMessage

AgsOscXmlrpcMessage — the OSC server side XMLRPC message

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsOscXmlrpcMessage * | ags_osc_xmlrpc_message_new ()

## Properties

gpointer | query | Read / Write
SoupServerMessage * | server-msg | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsOscMessage
            ╰── AgsOscXmlrpcMessage

## Includes

    #include <ags/audio/osc/ags_osc_xmlrpc_message.h>

## Description

AgsOscXmlrpcMessage your OSC server side XMLRPC message.

## Functions

### ags_osc_xmlrpc_message_new ()

    AgsOscXmlrpcMessage *
    ags_osc_xmlrpc_message_new ();

Creates a new instance of AgsOscXmlrpcMessage

#### Returns

the new AgsOscXmlrpcMessage

Since: 3.0.0

## Property Details

### The `“query”` property

      “query”                    gpointer

The current query.

Owner: AgsOscXmlrpcMessage

Flags: Read / Write

Since: 3.0.0

### The `“server-msg”` property

      “server-msg”               SoupServerMessage *

The assigned SoupMessage.

Owner: AgsOscXmlrpcMessage

Flags: Read / Write

Since: 4.0.0